Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class InputNumberSliderTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.InputNumberSliderTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class InputNumberSliderTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`InputNumberSliderTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
`void` | `setBarClass(javax.el.ValueExpression __barClass)` A name of CSS class for the bar element Setter for barClass
`void` | `setBarStyle(javax.el.ValueExpression __barStyle)` Style for a slider control line Setter for barStyle
`void` | `setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)` an error message to use in client side validation events Setter for clientErrorMessage
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setDecreaseClass(javax.el.ValueExpression __decreaseClass)` A name of CSS class for the decrease arrow element Setter for decreaseClass
`void` | `setDecreaseSelectedClass(javax.el.ValueExpression __decreaseSelectedClass)` A name of CSS class for a selected control decrease arrow element Setter for decreaseSelectedClass
`void` | `setDecreaseStyle(javax.el.ValueExpression __decreaseStyle)` A style for the decrease arrow element Setter for decreaseStyle
`void` | `setDelay(javax.el.ValueExpression __delay)` Delay in pressed increase/decrease arrows in miliseconds.
`void` | `setDisabled(javax.el.ValueExpression __disabled)` When set for a form control, this boolean attribute disables the control for your input Setter for disabled
`void` | `setEnableManualInput(javax.el.ValueExpression __enableManualInput)` If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle.
`void` | `setHandleClass(javax.el.ValueExpression __handleClass)` A name of CSS class for a control handle element Setter for handleClass
`void` | `setHandleSelectedClass(javax.el.ValueExpression __handleSelectedClass)` A name of CSS class for a selected control handle element Setter for handleSelectedClass
`void` | `setHeight(javax.el.ValueExpression __height)` The height of a slider control.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setIncreaseClass(javax.el.ValueExpression __increaseClass)` A name of CSS class for increase arrow element Setter for increaseClass
`void` | `setIncreaseSelectedClass(javax.el.ValueExpression __increaseSelectedClass)` A name of CSS class for a selected control increase arrow element Setter for increaseSelectedClass
`void` | `setIncreaseStyle(javax.el.ValueExpression __increaseStyle)` A style for the increase arrow element Setter for increaseStyle
`void` | `setInputClass(javax.el.ValueExpression __inputClass)` Style Class attribute for a text field Setter for inputClass
`void` | `setInputPosition(javax.el.ValueExpression __inputPosition)` If "right", the InputText Box would be rendered on the right side of the ruler.
`void` | `setInputSize(javax.el.ValueExpression __inputSize)` Similar to the "Size" attribute of h:inputText.
`void` | `setInputStyle(javax.el.ValueExpression __inputStyle)` Style attribute for text field Setter for inputStyle
`void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
`void` | `setMaxlength(javax.el.ValueExpression __maxlength)` Specifies the maximum number of digits that could be entered into the input field.
`void` | `setMaxValue(javax.el.ValueExpression __maxValue)` Attribute to set an "end" value.
`void` | `setMinValue(javax.el.ValueExpression __minValue)` Attribute to set the "start" value.
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnerror(javax.el.ValueExpression __onerror)` HTML: script expression; a non-number value or a number value that is out of the range is input Setter for onerror
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOninputclick(javax.el.ValueExpression __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
`void` | `setOninputdblclick(javax.el.ValueExpression __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
`void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
`void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
`void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
`void` | `setOninputmousedown(javax.el.ValueExpression __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
`void` | `setOninputmousemove(javax.el.ValueExpression __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
`void` | `setOninputmouseout(javax.el.ValueExpression __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
`void` | `setOninputmouseover(javax.el.ValueExpression __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
`void` | `setOninputmouseup(javax.el.ValueExpression __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
`void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; The onselect event occurs when you select some text in a text field.
`void` | `setOnslide(javax.el.ValueExpression __onslide)` Event occur on slide Setter for onslide
`void` | `setOrientation(javax.el.ValueExpression __orientation)` Attribute can have the values "vertical" and "horizontal" to define in which direction the slider should be moveable.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setShowArrows(javax.el.ValueExpression __showArrows)` False value for this attribute makes increase/decrease arrows invisible.
`void` | `setShowBoundaryValues(javax.el.ValueExpression __showBoundaryValues)` If the min/max values are shown on the right/left borders of a control.
`void` | `setShowInput(javax.el.ValueExpression __showInput)` False value for this attribute makes text a field invisible.
`void` | `setShowToolTip(javax.el.ValueExpression __showToolTip)` If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state.
`void` | `setStep(javax.el.ValueExpression __step)` Parameter that determines a step between the nearest values while using a handle.
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTipClass(javax.el.ValueExpression __tipClass)` A name of CSS class for the tool tip element Setter for tipClass
`void` | `setTipStyle(javax.el.ValueExpression __tipStyle)` A style for the tool tip element Setter for tipStyle
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setWidth(javax.el.ValueExpression __width)` The width of a slider control.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### InputNumberSliderTag

    public InputNumberSliderTag()

Method Detail

### setAccesskey

    public void setAccesskey(javax.el.ValueExpression __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### setBarClass

    public void setBarClass(javax.el.ValueExpression __barClass)

  A name of CSS class for the bar element Setter for barClass

  Parameters:
    `barClass` - - new value

### setBarStyle

    public void setBarStyle(javax.el.ValueExpression __barStyle)

  Style for a slider control line Setter for barStyle

  Parameters:
    `barStyle` - - new value

### setClientErrorMessage

    public void setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)

  an error message to use in client side validation events Setter for clientErrorMessage

  Parameters:
    `clientErrorMessage` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setDecreaseClass

    public void setDecreaseClass(javax.el.ValueExpression __decreaseClass)

  A name of CSS class for the decrease arrow element Setter for decreaseClass

  Parameters:
    `decreaseClass` - - new value

### setDecreaseSelectedClass

    public void setDecreaseSelectedClass(javax.el.ValueExpression __decreaseSelectedClass)

  A name of CSS class for a selected control decrease arrow element Setter for decreaseSelectedClass

  Parameters:
    `decreaseSelectedClass` - - new value

### setDecreaseStyle

    public void setDecreaseStyle(javax.el.ValueExpression __decreaseStyle)

  A style for the decrease arrow element Setter for decreaseStyle

  Parameters:
    `decreaseStyle` - - new value

### setDelay

    public void setDelay(javax.el.ValueExpression __delay)

  Delay in pressed increase/decrease arrows in miliseconds. Default value is "200". Setter for delay

  Parameters:
    `delay` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  When set for a form control, this boolean attribute disables the control for your input Setter for disabled

  Parameters:
    `disabled` - - new value

### setEnableManualInput

    public void setEnableManualInput(javax.el.ValueExpression __enableManualInput)

  If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle. Default value is "true". Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### setHandleClass

    public void setHandleClass(javax.el.ValueExpression __handleClass)

  A name of CSS class for a control handle element Setter for handleClass

  Parameters:
    `handleClass` - - new value

### setHandleSelectedClass

    public void setHandleSelectedClass(javax.el.ValueExpression __handleSelectedClass)

  A name of CSS class for a selected control handle element Setter for handleSelectedClass

  Parameters:
    `handleSelectedClass` - - new value

### setHeight

    public void setHeight(javax.el.ValueExpression __height)

  The height of a slider control. Default value is "20px", for orientation="vertical" value is "20px" Setter for height

  Parameters:
    `height` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setIncreaseClass

    public void setIncreaseClass(javax.el.ValueExpression __increaseClass)

  A name of CSS class for increase arrow element Setter for increaseClass

  Parameters:
    `increaseClass` - - new value

### setIncreaseSelectedClass

    public void setIncreaseSelectedClass(javax.el.ValueExpression __increaseSelectedClass)

  A name of CSS class for a selected control increase arrow element Setter for increaseSelectedClass

  Parameters:
    `increaseSelectedClass` - - new value

### setIncreaseStyle

    public void setIncreaseStyle(javax.el.ValueExpression __increaseStyle)

  A style for the increase arrow element Setter for increaseStyle

  Parameters:
    `increaseStyle` - - new value

### setInputClass

    public void setInputClass(javax.el.ValueExpression __inputClass)

  Style Class attribute for a text field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### setInputPosition

    public void setInputPosition(javax.el.ValueExpression __inputPosition)

  If "right", the InputText Box would be rendered on the right side of the ruler. If "top", the InputText Box would be rendered on the top of the ruler. If "bottom", the InputText Box would be rendered on the bottom of the ruler. Setter for inputPosition

  Parameters:
    `inputPosition` - - new value

### setInputSize

    public void setInputSize(javax.el.ValueExpression __inputSize)

  Similar to the "Size" attribute of h:inputText. Default value is "3". Setter for inputSize

  Parameters:
    `inputSize` - - new value

### setInputStyle

    public void setInputStyle(javax.el.ValueExpression __inputStyle)

  Style attribute for text field Setter for inputStyle

  Parameters:
    `inputStyle` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### setMaxValue

    public void setMaxValue(javax.el.ValueExpression __maxValue)

  Attribute to set an "end" value. Default value is "100" Setter for maxValue

  Parameters:
    `maxValue` - - new value

### setMaxlength

    public void setMaxlength(javax.el.ValueExpression __maxlength)

  Specifies the maximum number of digits that could be entered into the input field. The maximum number is unlimited by default. If entered value exceeds the value specified in "maxValue" attribute than the slider takes a maximum value position. Setter for maxlength

  Parameters:
    `maxlength` - - new value

### setMinValue

    public void setMinValue(javax.el.ValueExpression __minValue)

  Attribute to set the "start" value. Default value is "0". Setter for minValue

  Parameters:
    `minValue` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnerror

    public void setOnerror(javax.el.ValueExpression __onerror)

  HTML: script expression; a non-number value or a number value that is out of the range is input Setter for onerror

  Parameters:
    `onerror` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOninputclick

    public void setOninputclick(javax.el.ValueExpression __oninputclick)

  HTML: a script expression; a pointer button is clicked Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### setOninputdblclick

    public void setOninputdblclick(javax.el.ValueExpression __oninputdblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick

  Parameters:
    `oninputdblclick` - - new value

### setOninputkeydown

    public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

  HTML: a script expression; a key is pressed down Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### setOninputkeypress

    public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

  HTML: a script expression; a key is pressed and released Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### setOninputkeyup

    public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

  HTML: a script expression; a key is released Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### setOninputmousedown

    public void setOninputmousedown(javax.el.ValueExpression __oninputmousedown)

  HTML: script expression; a pointer button is pressed down Setter for oninputmousedown

  Parameters:
    `oninputmousedown` - - new value

### setOninputmousemove

    public void setOninputmousemove(javax.el.ValueExpression __oninputmousemove)

  HTML: a script expression; a pointer is moved within Setter for oninputmousemove

  Parameters:
    `oninputmousemove` - - new value

### setOninputmouseout

    public void setOninputmouseout(javax.el.ValueExpression __oninputmouseout)

  HTML: a script expression; a pointer is moved away Setter for oninputmouseout

  Parameters:
    `oninputmouseout` - - new value

### setOninputmouseover

    public void setOninputmouseover(javax.el.ValueExpression __oninputmouseover)

  HTML: a script expression; a pointer is moved onto Setter for oninputmouseover

  Parameters:
    `oninputmouseover` - - new value

### setOninputmouseup

    public void setOninputmouseup(javax.el.ValueExpression __oninputmouseup)

  HTML: script expression; a pointer button is released Setter for oninputmouseup

  Parameters:
    `oninputmouseup` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  HTML: script expression; The onselect event occurs when you select some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### setOnslide

    public void setOnslide(javax.el.ValueExpression __onslide)

  Event occur on slide Setter for onslide

  Parameters:
    `onslide` - - new value

### setOrientation

    public void setOrientation(javax.el.ValueExpression __orientation)

  Attribute can have the values "vertical" and "horizontal" to define in which direction the slider should be moveable. Setter for orientation

  Parameters:
    `orientation` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setShowArrows

    public void setShowArrows(javax.el.ValueExpression __showArrows)

  False value for this attribute makes increase/decrease arrows invisible. Default value is "false". Setter for showArrows

  Parameters:
    `showArrows` - - new value

### setShowBoundaryValues

    public void setShowBoundaryValues(javax.el.ValueExpression __showBoundaryValues)

  If the min/max values are shown on the right/left borders of a control. Default value is "true". Setter for showBoundaryValues

  Parameters:
    `showBoundaryValues` - - new value

### setShowInput

    public void setShowInput(javax.el.ValueExpression __showInput)

  False value for this attribute makes text a field invisible. Default value is "true". Setter for showInput

  Parameters:
    `showInput` - - new value

### setShowToolTip

    public void setShowToolTip(javax.el.ValueExpression __showToolTip)

  If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state. Default value is "true". Setter for showToolTip

  Parameters:
    `showToolTip` - - new value

### setStep

    public void setStep(javax.el.ValueExpression __step)

  Parameter that determines a step between the nearest values while using a handle. Default value is "1". Setter for step

  Parameters:
    `step` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setTipClass

    public void setTipClass(javax.el.ValueExpression __tipClass)

  A name of CSS class for the tool tip element Setter for tipClass

  Parameters:
    `tipClass` - - new value

### setTipStyle

    public void setTipStyle(javax.el.ValueExpression __tipStyle)

  A style for the tool tip element Setter for tipStyle

  Parameters:
    `tipStyle` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  The width of a slider control. Default value is "200px", for orientation="vertical" value is "200px" Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.